Get Proxy Key Details
Get details about collector ceritficate
Get details about collector ceritficate e.g. default lifetime, remaining validity etc.
Request
URI
GET
https://{api_host}/api/ni/customers/collector/data-encryption-cert/details
COPY
Responses
200
OK
Returns
ProxyKeyDetails
of type(s)
application/json
{
"customerId": 0,
"lifetime": "string",
"remainingValidity": "string",
"lastUpdatedAt": 0,
"lastUpdatedBy": "string"
}
integer As int32
As int32
customerId
Optional
Customer id
string
lifetime
Optional
Lifetime (in days) of certificate set by the customer
string
remainingValidity
Optional
Remaining number of days for which the certificate is valid
integer As int64
As int64
lastUpdatedAt
Optional
Time (in milli seconds) when the certificate was last updated
string
lastUpdatedBy
Optional
Username of the entity which triggered the last update of certificate
401
Unauthorized
Returns
UnauthorizedResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
403
Forbidden
Returns
ForbiddenResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
500
Internal error
Returns
InternalErrorResponse
of type(s)
application/json
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
integer As int32
As int32
code
Optional
code
string
message
Optional
message
array of
object
details
Optional
details
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/api/ni/customers/collector/data-encryption-cert/details
Customers Operations
POST
Rotate Proxy Key
GET
Get Proxy Key Rotation Status
GET
Get Proxy Key Details